Bug 53795 - local timezone
Summary: local timezone
Status: RESOLVED MOVED
Alias: None
Product: SyncEvolution
Classification: Unclassified
Component: SyncML (show other bugs)
Version: unspecified
Hardware:
: medium enhancement
Assignee: SyncEvolution Community
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-26 19:02 UTC by SyncEvolution Community
Modified: 2018-10-13 12:36 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Patrick Ohly 2012-08-19 18:56:45 UTC


---- Reported by jingke.zhang@intel.com 2010-04-26 19:02:52 +0000 ----

This is from http://bugzilla.moblin.org/show_bug.cgi?id=3477

   Description  From  pohly   2009-06-12 09:06:13 PST   (-) [reply]

The Synthesis engine needs to know the local time zone of its environment when
working with events that don't have a specific time zone declared. When using
iCalendar 2.0, this should happen that often.

The local time zone check in libsynthesis is rather crude: it's only based on
the time offsets against GMT.

Better use
http://chrislord.net/docs/libjana-ecal/libjana-ecal-jana-ecal-utils.html
jana_ecal_utils_guess_location() to find the exact location and then use the
corresponding libical timezone.

This needs to be configurable, so we need to improve the Synthesis configure
script first (https://bugs.meego.com/show_bug.cgi?id=3471).

------- Comment #1 From pohly 2009-12-02 00:45:49 PST (-) [reply] -------

(In reply to comment #0)
> The Synthesis engine needs to know the local time zone of its environment when
> working with events that don't have a specific time zone declared. When using
> iCalendar 2.0, this should happen that often.

... should *not* happen that often...

------- Comment #2 From pohly 2009-12-02 04:40:57 PST (-) [reply] -------

Congwu, you ran into this when testing with a phone, right? So it seems that is
a bit more important than originally anticipated, raising priority and pulling
it into 1.0.

Congwu, do you have time for this or should I ask someone else, like Raji?

------- Comment #3 From Chen Congwu 2009-12-07 18:07:11 PST (-) [reply] -------

(In reply to comment #2)
> Congwu, you ran into this when testing with a phone, right? So it seems that is
> a bit more important than originally anticipated, raising priority and pulling
> it into 1.0.
> 
Yes, but detecting local timezone does not have direct effect on phone
syncing..
1) If the phone does not support UTC time, the engine needs to use
'UserTimezone' (That is the timezone for the phone) when syncing not
'SystemTimeZone'.
2) If the phone supports UTC time, the engine can send UTC time.

In my case, the N7210c did not declare support 'UTC' in devinf and
'UserTimeZone' defaults to 'SystemTimeZone', this then triggered the problem. 
After Lukas pointed out some phones just forget to declare 'UTC', I tries and
it solved my problem now.

Considering this is a bug need to be fixed but not very high priority. I will
come up with this later when ready.



--- Bug imported by patrick.ohly@gmx.de 2012-08-19 20:56 UTC  ---

This bug was previously known as _bug_ 1352 at https://bugs.meego.com/show_bug.cgi?id=1352

Unknown platform unknown. Setting to default platform "".
Unknown operating system unknown. Setting to default OS "".

Comment 1 GitLab Migration User 2018-10-13 12:36:59 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/SyncEvolution/libsynthesis/issues/3.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.